CryptoCurrency: Building ccminer in Ubuntu 17.10


In a previous post, I complained about how impossible it was to get ccminer to work. It turns out that you need to downgrade gcc in order to get it to work. I am assuming that you already followed my previous post on getting the nvidia drivers swapped in for the Noveau.

apt install git libcurl4-openssl-dev libssl-dev libjansson-dev automake autotools-dev build-essential
apt install gcc-5 g++-5
update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-5 1

Now lets grab the tpruvot fork that still supports GPUs:

git clone  
cd ccminer

If everything went well, you should be able to run ccminer.